rgthurau

Script Tools "Value is Required" when run as model tool, but not from edit mode?

Discussion created by rgthurau on Jan 10, 2012
Latest reply on Jan 18, 2012 by rgthurau
Hi ESRI community,
I have a couple long models that I developed a few script tools for. The models are well documented and prior to adding the script tools (codes were in VB) the models ran just fine from the tool interface (i.e. double-click the model and manually insert parameter values). For each of the script tools in the models, I am getting an error after parameters are set and the model is activated by clicking "OK".

Error:

"ERROR 00735: Input Table: Value is required"

This error code is repeated for each script tool in the model.

The model will not run from the tool interface.

However, if I edit the model and set the parameters the model runs without issue.

Can anyone suggest what is happening, and how I can get this model to run from the tool interface?

I'd add the script tool, but doesn't look like ESRI will let me attach.
Here's one of the scripts:
import arcpy
###Caclulate Fields
InFile = arcpy.GetParameterAsText(0)
outFile = arcpy.GetParameterAsText(1) 

rows = arcpy.UpdateCursor(InFile)
for row in rows:
  if row.Fee_Class == "Contiguous Group":
    row.PRG_Parcel = "Y"
  else:
    row.PRG_Parcel = "N"


Thanks

Rich

Outcomes